Package com.omnisci.thrift.server

## Class TCreateParams

- java.lang.Object
- - com.omnisci.thrift.server.TCreateParams

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCreateParams>`, `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`, `org.apache.thrift.TSerializable`

    public class TCreateParams
    extends Object
    implements org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>, Serializable, Cloneable, Comparable<TCreateParams>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCreateParams._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `is_replicated`
`static Map<TCreateParams._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TCreateParams()`
`TCreateParams​(boolean is_replicated)`
`TCreateParams​(TCreateParams other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCreateParams other)`
`TCreateParams` `deepCopy()`
`boolean` `equals​(TCreateParams that)`
`boolean` `equals​(Object that)`
`TCreateParams._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TCreateParams._Fields field)`
`int` `hashCode()`
`boolean` `isIs_replicated()`
`boolean` `isSet​(TCreateParams._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_replicated()` Returns true if field is_replicated is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TCreateParams._Fields field, Object value)`
`TCreateParams` `setIs_replicated​(boolean is_replicated)`
`void` `setIs_replicatedIsSet​(boolean value)`
`String` `toString()`
`void` `unsetIs_replicated()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### is_replicated

    public boolean is_replicated

#### metaDataMap

    public static final Map<TCreateParams._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCreateParams

    public TCreateParams()

#### TCreateParams

    public TCreateParams​(boolean is_replicated)

#### TCreateParams

    public TCreateParams​(TCreateParams other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCreateParams deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### isIs_replicated

    public boolean isIs_replicated()

#### setIs_replicated

    public TCreateParams setIs_replicated​(boolean is_replicated)

#### unsetIs_replicated

    public void unsetIs_replicated()

#### isSetIs_replicated

    public boolean isSetIs_replicated()

Returns true if field is_replicated is set (has been assigned a value) and false otherwise

#### setIs_replicatedIsSet

    public void setIs_replicatedIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCreateParams._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCreateParams._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### isSet

    public boolean isSet​(TCreateParams._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCreateParams that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCreateParams other)

Specified by:
  `compareTo` in interface `Comparable<TCreateParams>`

#### fieldForId

    public TCreateParams._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCreateParams,​TCreateParams._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`